Freeciv-3.2: /fast/freeciv/nightly/S3_2/client/gui-qt/chatline.cpp File Reference

Freeciv-3.2

Loading...
Searching...
No Matches
Functions
chatline.cpp File Reference
`#include <QApplication>`
`#include <QCheckBox>`
`#include <QCompleter>`
`#include <QGridLayout>`
`#include <QKeyEvent>`
`#include <QPainter>`
`#include <QScrollBar>`
`#include <QStyleFactory>`
`#include <QTextBlock>`
`#include <QTextLayout>`
`#include <QTextBrowser>`
`#include "chat.h"`
`#include "audio.h"`
`#include "climap.h"`
`#include "climisc.h"`
`#include "connectdlg_common.h"`
`#include "control.h"`
`#include "game.h"`
`#include "chatline.h"`
`#include "colors.h"`
`#include "fc_client.h"`
`#include "gui_main.h"`
`#include "qtg_cxxside.h"`

Go to the source code of this file.

## Functions

static bool | is_plain_public_message (QString s)
QString | apply_tags (QString str, const struct text_tag_list *tags, QColor bg_color)
void | qtg_real_output_window_append (const char *astring, const struct text_tag_list *tags, int conn_id)
void | log_output_window (void)
void | clear_output_window (void)
void | qtg_version_message (const char *vertext)

## Function Documentation

## ◆ apply_tags()

QString apply_tags | ( | QString | str,
|  | const struct text_tag_list * | tags,
|  | QColor | bg_color
| ) |  |

Applies tags to text

Definition at line 555 of file chatline.cpp.

Referenced by chatwdg::chat_message_received(), and fc_client::chat_message_received().

## ◆ clear_output_window()

void clear_output_window | ( | void |  | ) |

Clear all text from the output window.

Definition at line 787 of file chatline.cpp.

## ◆ is_plain_public_message()

static bool is_plain_public_message | ( | QString | s | ) |

static

Helper function to determine if a given client input line is intended as a "plain" public message.

Definition at line 692 of file chatline.cpp.

## ◆ log_output_window()

void log_output_window | ( | void |  | ) |

Get the text of the output window, and call write_chatline_content() to log it.

Definition at line 778 of file chatline.cpp.

## ◆ qtg_real_output_window_append()

void qtg_real_output_window_append | ( | const char * | astring,
|  | const struct text_tag_list * | tags,
|  | int | conn_id
| ) |  |

Appends the string to the chat output window. The string should be inserted on its own line, although it will have no newline.

Definition at line 738 of file chatline.cpp.

Referenced by real_luaconsole_append(), and setup_gui_funcs().

## ◆ qtg_version_message()

void qtg_version_message | ( | const char * | vertext | ) |

Got version message from metaserver thread.

Definition at line 806 of file chatline.cpp.

Referenced by server_scan_error(), and setup_gui_funcs().